Rock = WrapTile:extend {
   image = 'data/rock.png',
   onNew = function(self)
              --self.velocity = util.shortestVector(self, the.player):normalized() * 10

              --self.scale = 1

              self.collider = Fill:new{
                 fill = {0,0,255},
                 --x = self.x,
                 --y = self.y,
                 width = self.width * self.scale,
                 height = self.height * self.scale,
                 visible = false,
                 rock = self
              }

              the.app.view:add(self.collider)
              table.insert(the.rockColliders, self.collider)
           end,
   onUpdate = function(self, dt)
                 self.collider.x = self.x + self.width / 2 * (1 - self.scale)
                 self.collider.y = self.y + self.height / 2 * (1 - self.scale)
                 --self.collider.rotation = self.rotation -- ???
              end,
   onEndFrame = function(self)
                   -- onEndFrame to give a chance to go out of bounds then wrap

                   if DEBUG and the.console.visible then
                      if not self.text then
                         self.text = Text:new()
                         the.view:add(self.text)
                      end

                      local pVec = util.shortestVector(self, the.player)
                      self.text.text = pVec.x .. ', ' .. pVec.y
                      self.text.x, self.text.y = self.x, self.y
                      self.text.visible = true
                   else
                      if self.text then
                         self.text.visible = false
                      end
                   end
                end
}
